import java.util.Scanner;

public class Sorte {

	public static void main(String[] args) {

		Scanner sc = new Scanner(System.in);

		int numDuelos = sc.nextInt();

		// Laco que recebe os dados de entrada para cada duelo e processa-os
		// para produzir as saidas adequadas
		for (int i = 0; i < numDuelos; i++) {

			// Variaveis que guardarao os pontos do duelo para os jogadores A e B
			int pontosA = 0, pontosB = 0;

			// Variaveis auxiliares para determinar se algum dos efeitos
			// especiais foi aplicado a um dos jogadores (dobro em caso de 6, cancela em caso de 1)
			boolean dobroA = false, dobroB = false;
			boolean cancelaA = false, cancelaB = false;

			//Laco que executa as seis rodadas do duelo com base nas entradas recebidas
			for (int j = 0; j < 6; j++) {
				
				//Numeros obtidos por A e B na rodada atual
				int dadoA = sc.nextInt();
				int dadoB = sc.nextInt();
				
				//Verifica se os efeitos especiais foram aplicados ao jogador A e adiciona os pontos adequados
				if (!cancelaA) {

					if (dobroA)
						pontosA += dadoA;

					pontosA += dadoA;

					//Ativa as variaveis especiais se for necessario (6 ou 1)
					dobroA = dadoA == 6;
					cancelaA = dadoA == 1;

				} else
					cancelaA = false;

				//Verifica se os efeitos especiais foram aplicados ao jogador B e adiciona os pontos adequados
				if (!cancelaB) {

					if (dobroB)
						pontosB += dadoB;

					pontosB += dadoB;

					//Ativa as variaveis especiais se for necessario (6 ou 1)
					dobroB = dadoB == 6;
					cancelaB = dadoB == 1;

				} else
					cancelaB = false;
			}

			//Exibe os resultados de acordo com o vencedor do duelo
			if (pontosA > pontosB)
				System.out.println("Wanessa venceu com " + pontosA + " pontos");
			else if (pontosB > pontosA)
				System.out.println("Camargo venceu com " + pontosB + " pontos");
			else
				System.out.println("De acordo com os dados nao ha vencedores");
		}
	}
}
